--- old/usr/src/Makefile.master	Mon Apr 13 11:10:48 2015
+++ new/usr/src/Makefile.master	Mon Apr 13 11:10:48 2015
@@ -553,7 +553,7 @@
 		$(ENVCPPFLAGS4) -I$(NATIVE_ADJUNCT)/include
 CPPFLAGS=	$(CPPFLAGS.master)
 AS_CPPFLAGS=	$(CPPFLAGS.master)
-JAVAFLAGS=	-deprecation
+JAVAFLAGS=	-source 1.6 -target 1.6 -Xlint:deprecation,-options
 
 #
 # For source message catalogue
--- old/usr/src/cmd/Makefile	Mon Apr 13 11:10:48 2015
+++ new/usr/src/cmd/Makefile	Mon Apr 13 11:10:48 2015
@@ -216,7 +216,6 @@
 	iscsitsvc	\
 	isns		\
 	itadm		\
-	java		\
 	kbd		\
 	keyserv		\
 	killall		\
--- old/usr/src/cmd/cmd-inet/usr.lib/slpd/slp	Mon Apr 13 11:10:48 2015
+++ new/usr/src/cmd/cmd-inet/usr.lib/slpd/slp	Mon Apr 13 11:10:48 2015
@@ -23,7 +23,6 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 #
 # Service Method Support Script for the SLP service
 #
@@ -35,7 +34,7 @@
 . /lib/svc/share/smf_include.sh
 
 CONF=/etc/inet/slp.conf
-JAVA_BIN=/usr/j2se/bin/java
+JAVA_BIN=/usr/java/bin/java
 CLASSPATH=/usr/share/lib/slp/slpd.jar
 MAIN_CLASS=com.sun.slp.slpd
 SLPD_HOME=/usr/lib/inet
--- old/usr/src/cmd/dtrace/test/cmd/jdtrace/Makefile	Mon Apr 13 11:10:48 2015
+++ new/usr/src/cmd/dtrace/test/cmd/jdtrace/Makefile	Mon Apr 13 11:10:48 2015
@@ -23,7 +23,6 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
 
 PROG = jdtrace
 SRCS = jdtrace.c
@@ -75,9 +74,8 @@
 	$(LINK.c) -o $@ $(SRCS) $(LDLIBS)
 	$(POST_PROCESS) ; $(STRIP_STABS)
 
-JFLAGS= -g -cp $(CLASSPATH) -d $(CLASSDIR) -deprecation
-JFLAGS += -target 1.5
-JFLAGS += -Xlint
+JFLAGS= -g -cp $(CLASSPATH) -d $(CLASSDIR)
+JFLAGS += -source 1.5 -target 1.6 -Xlint:all,-options
 COMPILE.java=$(JAVAC) $(JFLAGS)
 JAVASRC= JDTrace.java Getopt.java
 
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/Makefile	Mon Apr 13 11:10:48 2015
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/Makefile	Mon Apr 13 11:10:48 2015
@@ -23,7 +23,6 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 
 include $(SRC)/Makefile.master
 
@@ -60,9 +59,8 @@
 
 install: all $(PROTO_TEST_JAR)
 
-JFLAGS= -g -cp $(CLASSPATH) -d $(CLASSDIR) -deprecation
-JFLAGS += -target 1.5
-JFLAGS += -Xlint
+JFLAGS= -g -cp $(CLASSPATH) -d $(CLASSDIR)
+JFLAGS += -source 1.5 -target 1.6 -Xlint:all,-options,-rawtypes
 COMPILE.java=$(JAVAC) $(JFLAGS)
 
 $(TEST_JAR): $(SRCDIR)/*.java
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestAbort.java	Mon Apr 13 11:10:48 2015
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestAbort.java	Mon Apr 13 11:10:48 2015
@@ -22,8 +22,6 @@
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
- *
- * ident	"%Z%%M%	%I%	%E% SMI"
  */
 
 import org.opensolaris.os.dtrace.*;
@@ -49,7 +47,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(1000);
+		Thread.sleep(1000);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
@@ -77,7 +75,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(1000);
+		Thread.sleep(1000);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
@@ -129,7 +127,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(1000);
+		Thread.sleep(1000);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestClose.java	Mon Apr 13 11:10:49 2015
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestClose.java	Mon Apr 13 11:10:49 2015
@@ -22,8 +22,6 @@
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
- *
- * ident	"%Z%%M%	%I%	%E% SMI"
  */
 
 import org.opensolaris.os.dtrace.*;
@@ -44,7 +42,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(1000);
+		Thread.sleep(1000);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
@@ -64,7 +62,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(1000);
+		Thread.sleep(1000);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestDrop.java	Mon Apr 13 11:10:49 2015
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestDrop.java	Mon Apr 13 11:10:49 2015
@@ -22,8 +22,6 @@
 /*
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
- *
- * ident	"%Z%%M%	%I%	%E% SMI"
  */
 import java.util.*;
 import java.util.concurrent.atomic.*;
@@ -63,7 +61,7 @@
     {
 	while (consumer.isRunning() && !done.get()) {
 	    try {
-		Thread.currentThread().sleep(50);
+		Thread.sleep(50);
 	    } catch (InterruptedException e) {
 	    }
 
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestFunctionLookup.java	Mon Apr 13 11:10:49 2015
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestFunctionLookup.java	Mon Apr 13 11:10:49 2015
@@ -56,7 +56,7 @@
 	    String f;
 	    boolean done = false;
 	    for (int i = 0; (i < 20) && !done; ++i) {
-		Thread.currentThread().sleep(100);
+		Thread.sleep(100);
 		a = consumer.getAggregate();
 		for (Aggregation agg : a.getAggregations()) {
 		    for (Tuple tuple : agg.asMap().keySet()) {
@@ -88,7 +88,7 @@
 	    consumer.compile(userLookupProgram);
 	    consumer.enable();
 	    consumer.go();
-	    Thread.currentThread().sleep(500);
+	    Thread.sleep(500);
 	    Aggregate a = consumer.getAggregate();
 	    Number address;
 	    String f;
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestStateMachine.java	Mon Apr 13 11:10:49 2015
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestStateMachine.java	Mon Apr 13 11:10:49 2015
@@ -22,8 +22,6 @@
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
- *
- * ident	"%Z%%M%	%I%	%E% SMI"
  */
 
 import org.opensolaris.os.dtrace.*;
@@ -609,7 +607,7 @@
 	    consumer.go();
 	    // Avoid race, call afterGo() in ConsumerListener
 	    try {
-		Thread.currentThread().sleep(300);
+		Thread.sleep(300);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		exit(1);
--- old/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestStopLock.java	Mon Apr 13 11:10:49 2015
+++ new/usr/src/cmd/dtrace/test/tst/common/java_api/src/TestStopLock.java	Mon Apr 13 11:10:49 2015
@@ -22,8 +22,6 @@
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
- *
- * ident	"%Z%%M%	%I%	%E% SMI"
  */
 
 import org.opensolaris.os.dtrace.*;
@@ -51,7 +49,7 @@
 	    consumer.enable();
 	    consumer.go();
 	    try {
-		Thread.currentThread().sleep(500);
+		Thread.sleep(500);
 	    } catch (InterruptedException e) {
 		e.printStackTrace();
 		System.exit(1);
--- old/usr/src/cmd/java/Makefile	Mon Apr 13 11:10:49 2015
+++ /dev/null	Mon Apr 13 11:10:30 2015
@@ -1,61 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# Despite the name, this directory doesn't contain the Java Virtual Machine.
-# It only contains base OS/Solaris files for improved integration of a
-# Java Virtual Machine.
-#
-
-include ../Makefile.cmd
-
-ADMINFILES=	default_java
-
-DIRMODE=	755
-FILEMODE=	444
-
-SADM_DIR=	$(ROOT)/var/sadm
-SYSTEM_DIR=	$(SADM_DIR)/system
-ADMIN_DIR=	$(SYSTEM_DIR)/admin
-
-ROOTDIRS=	$(SADM_DIR) $(SYSTEM_DIR) $(ADMIN_DIR)
-
-ROOTADMINFILES=	$(ADMINFILES:%=$(ADMIN_DIR)/%)
-
-.KEEP_STATE:
-
-all:
-
-install: all $(ROOTDIRS) $(ROOTADMINFILES)
-
-clean:
-
-lint:
-
-$(ROOTDIRS):
-	$(INS.dir)
-
-$(ADMIN_DIR)/%: %
-	$(INS.file)
-
-include ../Makefile.targ
--- old/usr/src/cmd/java/default_java	Mon Apr 13 11:10:49 2015
+++ /dev/null	Mon Apr 13 11:10:30 2015
@@ -1,31 +0,0 @@
-#
-# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-# Java system configuration file.  Do not edit.
-#
-# Shell syntax.
-#
-DEFAULT_MIN=1.6
-DEFAULT_MAX=1.6
--- old/usr/src/cmd/krb5/kadmin/gui/Makefile	Mon Apr 13 11:10:49 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/Makefile	Mon Apr 13 11:10:49 2015
@@ -23,13 +23,10 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 include $(SRC)/Makefile.master
 include $(SRC)/cmd/Makefile.cmd
 
-JAVAFLAGS= -nowarn -O
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 
 TOGETHER= KdcGui KdcGuiMain KdcGuiOps KdcGuiRoot
--- old/usr/src/cmd/krb5/kadmin/gui/dataclasses/Makefile	Mon Apr 13 11:10:49 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/dataclasses/Makefile	Mon Apr 13 11:10:49 2015
@@ -23,13 +23,10 @@
 # Copyright (c) 1999-2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 include ../../../../../Makefile.master
 include ../../../../Makefile.cmd
 
-JAVAFLAGS= -nowarn -O
 
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 
--- old/usr/src/cmd/krb5/kadmin/gui/dchanger/DCPanel.java	Mon Apr 13 11:10:49 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/dchanger/DCPanel.java	Mon Apr 13 11:10:50 2015
@@ -20,8 +20,6 @@
  * CDDL HEADER END
  */
 /*
- * ident	"%Z%%M%	%I%	%E% SMI"
- *
  * Copyright (c) 1999-2000 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -41,7 +39,7 @@
      * increments/decrements. (It is up to the listener to decide the
      * increment/decrement corresponding to large/small.) Moreover, these
      * notifications will be sent out much faster if the button is kept
-     * pressed. 
+     * pressed.
      */
 
     // The panel waits for a period of BIG_SLEEP_TIME before the faster
@@ -52,30 +50,30 @@
     // every time it wakes up.
 
     public class DCPanel extends Panel {
-  
+
     private Button plusButton;
     private Button minusButton;
-  
+
     private DCListener listener = null;
 
     private Timer bigTimer;
     private Timer smallTimer;
 
-    private static int BIG_SLEEP_TIME   = 1000;
+    private static int BIG_SLEEP_TIME	= 1000;
     private static int SMALL_SLEEP_TIME = 100;
-  
+
     private boolean incrementFlag;
 
     public DCPanel() {
 
     setLayout(new GridLayout(1, 2));
-    
-    bigTimer     = new BigTimer();
-    smallTimer   = new SmallTimer();
-    
+
+    bigTimer	 = new BigTimer();
+    smallTimer	 = new SmallTimer();
+
     bigTimer.start();
     smallTimer.start();
-    
+
     plusButton = new DCButton("+");
     minusButton = new DCButton("-");
 
@@ -90,7 +88,7 @@
      * of going to a text field.
      * @return false always.
      */
-    public boolean isFocusTraversable() {
+    public boolean isFocusable() {
     return false;
     }
 
@@ -138,29 +136,29 @@
     private void informListener(boolean bigFlag) {
     // System.out.println("DCPanel.informListener: " + bigFlag);
 
-        if (listener != null) {
+	if (listener != null) {
 
-            if (bigFlag) {
+	    if (bigFlag) {
 	    // request a big change
 	    if (incrementFlag)
-	        listener.bigIncrement();
-	    else 
-	        listener.bigDecrement();
-            } else {
+		listener.bigIncrement();
+	    else
+		listener.bigDecrement();
+	    } else {
 	    // request a small change
 	    if (incrementFlag)
-	        listener.increment();
-	    else 
-	        listener.decrement();
-            }
+		listener.increment();
+	    else
+		listener.decrement();
+	    }
 
-        }
-      
+	}
+
     } // informListener
 
 
     // ***********************************************
-    // 	 I N N E R    C L A S S E S   F O L L O W
+    //	 I N N E R    C L A S S E S   F O L L O W
     // ***********************************************
 
     /**
@@ -175,7 +173,7 @@
      * loops forever like this.
      */
     public void run() {
-        while (true) {
+	while (true) {
 	try {
 	  synchronized (this) {
 	    running = false;
@@ -185,7 +183,7 @@
 	  }
 	  doTask();
 	} catch (InterruptedException e) {}
-        } // while loop
+	} // while loop
     } // run method
 
     protected void doTask() {} // bug in java workshop
@@ -194,7 +192,7 @@
      * Wakes up the timer.
      */
     public synchronized void request() {
-        notify();
+	notify();
     }
 
     /**
@@ -201,9 +199,9 @@
      * Cancels the timer if it is running.
      */
     public void cancel() {
-        if (running) {
+	if (running) {
 	interrupt();
-        }
+	}
     }
 
     }// class Timer
@@ -220,13 +218,13 @@
      * done, schedule the smaller (faster) timer from this point on.
      */
     protected void doTask() {
-        try {
+	try {
 	sleep(BIG_SLEEP_TIME);
 	informListener(true);
 	smallTimer.request();
-        } catch (InterruptedException e) {
+	} catch (InterruptedException e) {
 	informListener(false);
-        }
+	}
     }
 
     } // class BigTimer
@@ -240,13 +238,13 @@
     private class SmallTimer extends Timer {
 
     protected void doTask() {
-        try {
+	try {
 	// loop forever and keep rescheduling yourself
 	while (true) {
 	  sleep(SMALL_SLEEP_TIME);
 	  informListener(true);
 	    }
-        } catch (InterruptedException e) {}
+	} catch (InterruptedException e) {}
     } // doTask method
 
     } // class SmallTimer
@@ -262,10 +260,10 @@
     /**
      * Constructor for DCMouseListener.
      * @param plusOrMinus true if this is a listener for the plus
-     *     button, false if it is for the minus button.
+     *	   button, false if it is for the minus button.
      */
     public DCMouseListener(boolean plusOrMinus) {
-        this.plusOrMinus = plusOrMinus;
+	this.plusOrMinus = plusOrMinus;
     }
 
     /**
@@ -272,8 +270,8 @@
      * Kicks in when the mouse is pressed.
      */
     public void mousePressed(MouseEvent e) {
-        incrementFlag = plusOrMinus;
-        DCPanel.this.startAction();
+	incrementFlag = plusOrMinus;
+	DCPanel.this.startAction();
     }
 
     /**
@@ -280,21 +278,21 @@
      * Kicks in when the mouse is released.
      */
     public void mouseReleased(MouseEvent e) {
-        incrementFlag = plusOrMinus;
-        DCPanel.this.stopAction();
-        }
-    } 
+	incrementFlag = plusOrMinus;
+	DCPanel.this.stopAction();
+	}
+    }
 
     /**
      * The button used by this DCPanel.
-     */  
+     */
     private class DCButton extends Button {
     public DCButton(String text) {
-        super(text);
-        if (text.equals("+"))
-           addMouseListener(new DCMouseListener(true));
-        else
-        addMouseListener(new DCMouseListener(false));
+	super(text);
+	if (text.equals("+"))
+	   addMouseListener(new DCMouseListener(true));
+	else
+	addMouseListener(new DCMouseListener(false));
     }
 
     /**
@@ -301,8 +299,8 @@
      * Make the button non-focus traversable so that it cannot be
      * tabbed in to.
      */
-    public boolean isFocusTraversable() {
-        return false;
+    public boolean isFocusable() {
+	return false;
     }
 
     } // DCButton
@@ -317,5 +315,5 @@
     f.setBounds(new Rectangle(100, 100, 100, 100));
     f.setVisible(true);
     }
-  
+
 }
--- old/usr/src/cmd/krb5/kadmin/gui/dchanger/DateTimeDialog.java	Mon Apr 13 11:10:50 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/dchanger/DateTimeDialog.java	Mon Apr 13 11:10:50 2015
@@ -20,8 +20,6 @@
  * CDDL HEADER END
  */
 /*
- * ident	"%Z%%M%	%I%	%E% SMI"
- *
  * Copyright (c) 1999-2000 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -44,25 +42,25 @@
 // help. The last two panels are separated by a LineSeparator.
 
 public class DateTimeDialog extends Dialog {
-  
+
     private boolean save;
 
     private Frame parent;
-  
+
     private DCPanel dateDCPanel;
     private DCPanel yearDCPanel;
     private DCPanel hourDCPanel;
     private DCPanel minuteDCPanel;
     private DCPanel secondDCPanel;
-  
+
     private Choice month;
-  
+
     private DCCircularTextField date;
     private DCCircularTextField hour;
     private DCCircularTextField second;
     private DCCircularTextField minute;
     private DCTextField year;
-  
+
     private Button ok;
     private Button cancel;
     private Button help;
@@ -70,32 +68,32 @@
     private Button midnight;
 
     private HelpDialog hd = null;
-  
+
     private Panel topPanel;
     private Panel middlePanel;
     private Panel bottomPanel;
-  
+
     private GregorianCalendar calendar = null;
     private static int MONTH_LEN[] = {31, 28, 31, 30, 31, 30, 31,
-                                      31, 30, 31, 30, 31};
+				    31, 30, 31, 30, 31};
     private static DateFormat df =
     DateFormat.getDateTimeInstance(DateFormat.MEDIUM,
 				 DateFormat.MEDIUM);
     private static Toolkit toolkit = Toolkit.getDefaultToolkit();
-  
+
   // For I18N
     private static ResourceBundle rb =
-    ResourceBundle.getBundle("GuiResource" /* NOI18N */); 
+    ResourceBundle.getBundle("GuiResource" /* NOI18N */);
     private static ResourceBundle hrb =
-    ResourceBundle.getBundle("HelpData" /* NOI18N */); 
+    ResourceBundle.getBundle("HelpData" /* NOI18N */);
 
     /**
      * Constructor that lays out the componeents and sets the different
-     * event handlers. 
+     * event handlers.
      */
     public DateTimeDialog(Frame parent, Color background, Color foreground) {
     super(parent, getString("SEAM Date/Time Helper"), true);
-    
+
     this.parent = parent;
 
     setLayout(new GridBagLayout());
@@ -107,9 +105,9 @@
     setCurrentTime();
     setSize(250, 300);
     setResizable(false);
-    
+
     addWindowListener(new DCWindowListener());
-    //      initializeFocusOnTextField();
+    //	    initializeFocusOnTextField();
     }
 
     /**
@@ -116,55 +114,55 @@
      * Adds the labels only
      */
     private void addLabels() {
-    
+
     GridBagConstraints gbc = new GridBagConstraints();
     gbc.weighty = 1;
-    
+
     topPanel = new Panel();
     topPanel.setLayout(new GridBagLayout());
-    gbc.gridwidth = GridBagConstraints.REMAINDER;    
+    gbc.gridwidth = GridBagConstraints.REMAINDER;
     gbc.fill = GridBagConstraints.BOTH;
     gbc.anchor = GridBagConstraints.CENTER;
     gbc.gridx = 0;
     gbc.gridy = 0;
     add(topPanel, gbc);
-    
+
     gbc.fill = GridBagConstraints.NONE;
     gbc.anchor = GridBagConstraints.EAST;
     gbc.gridx = 0;
     gbc.gridwidth = 1;
-    
+
     gbc.gridy = 0;
     topPanel.add(new Label(getString("Month")), gbc);
-    
+
     gbc.gridy = 1;
     topPanel.add(new Label(getString("Date")), gbc);
-    
+
     gbc.gridy = 2;
     topPanel.add(new Label(getString("Year")), gbc);
-    
+
     gbc.gridy = 3;
     topPanel.add(new Label(getString("Hour")), gbc);
-    
+
     gbc.gridy = 4;
     topPanel.add(new Label(getString("Minute")), gbc);
-    
+
     gbc.gridy = 5;
     topPanel.add(new Label(getString("Second")), gbc);
     }
-  
+
     /**
      * Adds the fields that will store the month, year, date, hour,
      * minute and second.
      */
     private void addFields(Color background, Color foreground) {
-    
+
     GridBagConstraints gbc = new GridBagConstraints();
     gbc.weighty = 1;
-    
+
     month = new Choice();
     initializeMonth();
-    
+
     date = new DCCircularTextField("1", 2);
     date.setMinimum(1);
     date.setBackground(background);
@@ -180,11 +178,11 @@
     second = new DCCircularTextField("00", 2);
     second.setBackground(background);
     second.setForeground(foreground);
-    
+
     year  = new DCTextField("2000", 4);
     year.setBackground(background);
     year.setForeground(foreground);
-    
+
     Panel tempPanel = new Panel();
     tempPanel.add(month);
     gbc.gridwidth = GridBagConstraints.REMAINDER;
@@ -193,62 +191,62 @@
     gbc.gridx = 1;
     gbc.gridy = 0;
     topPanel.add(tempPanel, gbc);
-    
-    
+
+
     // Remaining fields are in topPanel
     gbc.gridwidth = 1;
     gbc.fill = GridBagConstraints.NONE;
     gbc.gridx = 1;
-    
+
     gbc.gridy = 1;
     topPanel.add(date, gbc);
-    
+
     gbc.gridy = 2;
     topPanel.add(year, gbc);
-    
+
     gbc.gridy = 3;
     topPanel.add(hour, gbc);
-    
+
     gbc.gridy = 4;
     topPanel.add(minute, gbc);
-    
+
     gbc.gridy = 5;
     topPanel.add(second, gbc);
-    
+
     }
 
   // Adds the panels with the +/- buttons for each DCField
     private void addDCPanels() {
-    
+
     GridBagConstraints gbc = new GridBagConstraints();
     gbc.weighty = 1;
-    
+
     gbc.gridx = 2;
     gbc.gridwidth = GridBagConstraints.REMAINDER;
     gbc.gridheight = 1;
     gbc.fill = GridBagConstraints.NONE;
-    
+
     dateDCPanel = new DCPanel();
     yearDCPanel = new DCPanel();
     hourDCPanel = new DCPanel();
     minuteDCPanel = new DCPanel();
     secondDCPanel = new DCPanel();
-    
+
     gbc.gridy = 1;
     topPanel.add(dateDCPanel, gbc);
-    
+
     gbc.gridy = GridBagConstraints.RELATIVE;
     topPanel.add(yearDCPanel, gbc);
     topPanel.add(hourDCPanel, gbc);
     topPanel.add(minuteDCPanel, gbc);
     topPanel.add(secondDCPanel, gbc);
-    
+
     dateDCPanel.setListener(date);
     yearDCPanel.setListener(year);
     hourDCPanel.setListener(hour);
     minuteDCPanel.setListener(minute);
     secondDCPanel.setListener(second);
-    
+
     }
 
 
@@ -259,60 +257,60 @@
     private void initializeMonth() {
     DateFormatSymbols dfSymbols = new DateFormatSymbols();
     String[] monthStrings = dfSymbols.getMonths();
-    
-        month.removeAll();
-    
-        for (int i = 0; i < monthStrings.length; i++) {
+
+	month.removeAll();
+
+	for (int i = 0; i < monthStrings.length; i++) {
 	month.add(monthStrings[i]);
-        }
+	}
 
-        month.addItemListener(new DCMonthChangeListener());
+	month.addItemListener(new DCMonthChangeListener());
     }
 
   // Adds all the buttons
     private void addButtons() {
 
-        GridBagConstraints gbc = new GridBagConstraints();
-        gbc.weighty = 1;
+	GridBagConstraints gbc = new GridBagConstraints();
+	gbc.weighty = 1;
 
 
-        middlePanel = new Panel();
-        now  = new Button(getString("Now"));
-        midnight	= new Button(getString("Midnight"));
-        middlePanel.add(midnight);
-        middlePanel.add(now);
-        gbc.fill = GridBagConstraints.HORIZONTAL;
-        gbc.gridwidth = GridBagConstraints.REMAINDER;
-        gbc.gridx = 0;
-        gbc.gridy = 1;
-        add(middlePanel, gbc);
+	middlePanel = new Panel();
+	now  = new Button(getString("Now"));
+	midnight	= new Button(getString("Midnight"));
+	middlePanel.add(midnight);
+	middlePanel.add(now);
+	gbc.fill = GridBagConstraints.HORIZONTAL;
+	gbc.gridwidth = GridBagConstraints.REMAINDER;
+	gbc.gridx = 0;
+	gbc.gridy = 1;
+	add(middlePanel, gbc);
 
-        gbc.gridwidth = GridBagConstraints.REMAINDER;
-        gbc.gridheight = 1;
-        gbc.fill = GridBagConstraints.BOTH;
-        gbc.gridx = 0;
-        gbc.gridy = 2;
-        add(new LineSeparator(), gbc);
+	gbc.gridwidth = GridBagConstraints.REMAINDER;
+	gbc.gridheight = 1;
+	gbc.fill = GridBagConstraints.BOTH;
+	gbc.gridx = 0;
+	gbc.gridy = 2;
+	add(new LineSeparator(), gbc);
 
-        bottomPanel = new Panel();
-        ok = new Button(getString("OK"));
-        cancel =	new Button(getString("Cancel"));
-        help = new Button(getString("Help"));
-        bottomPanel.add(ok);
-        bottomPanel.add(cancel);
-        bottomPanel.add(help);
-        gbc.fill = GridBagConstraints.HORIZONTAL;
-        gbc.gridwidth = GridBagConstraints.REMAINDER;
-        gbc.gridx = 0;
-        gbc.gridy = 3;
-        add(bottomPanel, gbc);
+	bottomPanel = new Panel();
+	ok = new Button(getString("OK"));
+	cancel =	new Button(getString("Cancel"));
+	help = new Button(getString("Help"));
+	bottomPanel.add(ok);
+	bottomPanel.add(cancel);
+	bottomPanel.add(help);
+	gbc.fill = GridBagConstraints.HORIZONTAL;
+	gbc.gridwidth = GridBagConstraints.REMAINDER;
+	gbc.gridx = 0;
+	gbc.gridy = 3;
+	add(bottomPanel, gbc);
 
-        DCButtonListener bl = new DCButtonListener();
-        ok.addActionListener(bl);
-        cancel.addActionListener(bl);
-        help.addActionListener(bl);
-        now.addActionListener(bl);
-        midnight.addActionListener(bl);
+	DCButtonListener bl = new DCButtonListener();
+	ok.addActionListener(bl);
+	cancel.addActionListener(bl);
+	help.addActionListener(bl);
+	now.addActionListener(bl);
+	midnight.addActionListener(bl);
 
     }
 
@@ -334,10 +332,10 @@
      * Closes (hides) the dialog box when the user is done
      * @param save true if the box is being dismissed by clicking on
      * "ok" and the user wants to retain the modified value, false
-     * otherwise. 
+     * otherwise.
      */
     private void dateTimeDialogClose(boolean save) {
-        if (save == true) {
+	if (save == true) {
 	if (!updateFromGui())
 	   return;
     }
@@ -350,9 +348,9 @@
      * @return true if all are valid, false otherwise.
      */
     private boolean updateFromGui() {
-        return (checkErrorAndSet(date) && checkErrorAndSet(year) &&
-	        checkErrorAndSet(hour) && checkErrorAndSet(minute) &&
-	        checkErrorAndSet(second));
+	return (checkErrorAndSet(date) && checkErrorAndSet(year) &&
+		checkErrorAndSet(hour) && checkErrorAndSet(minute) &&
+		checkErrorAndSet(second));
     }
 
     /**
@@ -362,21 +360,21 @@
      * otherwise.
      */
     private boolean checkErrorAndSet(DCTextField tf) {
-        int i = 0;
-        boolean errorState = false;
-        try {
+	int i = 0;
+	boolean errorState = false;
+	try {
 	i = new Integer(tf.getText().trim()).intValue();
 	errorState = !tf.checkValue(i);
-        } catch (NumberFormatException e2) {
+	} catch (NumberFormatException e2) {
 	errorState =  true;
-        }	
-        if (errorState) {
+	}
+	if (errorState) {
 	tf.selectAll();
 	toolkit.beep();
-        }
-        else
+	}
+	else
 	tf.setValue(i);
-        return !errorState;
+	return !errorState;
     }
 
     /**
@@ -388,7 +386,7 @@
      */
 
     public boolean isSaved() {
-        return save;
+	return save;
     }
 
     /**
@@ -395,17 +393,17 @@
      * Sets the date and time in fields to the current date and time.
      */
     public void setCurrentTime() {
-        setDate(new Date());
+	setDate(new Date());
     }
 
     /**
      * Sets the current date of the DateTimeDialog and updates the gui
-     *   components to reflect that.
+     *	 components to reflect that.
      * @param date the Date to set it to.
      */
     public void setDate(Date newDate) {
-        calendar = new GregorianCalendar();
-        calendar.setTime(newDate);
+	calendar = new GregorianCalendar();
+	calendar.setTime(newDate);
 
     // update gui components now
 
@@ -412,10 +410,10 @@
     year.setValue(calendar.get(Calendar.YEAR));
     month.select(calendar.get(Calendar.MONTH));
     date.setValue(calendar.get(Calendar.DATE));
-    
+
     // Make sure the date is in the valid range for the given month
     fixDateField();
-    
+
     hour.setValue(calendar.get(Calendar.HOUR_OF_DAY));
     minute.setValue(calendar.get(Calendar.MINUTE));
     second.setValue(calendar.get(Calendar.SECOND));
@@ -436,16 +434,16 @@
      * for the currently selected month.
      */
     private void fixDateField() {
-        int monthIndex = month.getSelectedIndex();
-        int max = MONTH_LEN[monthIndex];
-        date.setMaximum(calendar.isLeapYear(year.getValue()) &&
-	        monthIndex == 1 ? max + 1 : max);
+	int monthIndex = month.getSelectedIndex();
+	int max = MONTH_LEN[monthIndex];
+	date.setMaximum(calendar.isLeapYear(year.getValue()) &&
+		monthIndex == 1 ? max + 1 : max);
     }
-    
+
   // * **********************************************
-  // 	 I N N E R    C L A S S E S   F O L L O W
+  //	 I N N E R    C L A S S E S   F O L L O W
   // ***********************************************
-    
+
     /**
      * Listener for closing the dialog box through the window close
      * menu.
@@ -452,10 +450,10 @@
      */
     private class DCWindowListener extends WindowAdapter {
     public  void windowClosing(WindowEvent e) {
-        dateTimeDialogClose(false);
-        }
+	dateTimeDialogClose(false);
+	}
     }
-  
+
     /**
      * Listener for any change in the month selected through the
      * pull down menu
@@ -462,7 +460,7 @@
      */
     private class DCMonthChangeListener implements ItemListener {
     public void itemStateChanged(ItemEvent e) {
-        fixDateField();
+	fixDateField();
     }
     }
 
@@ -473,12 +471,12 @@
      */
     private class DCButtonListener implements ActionListener {
     public void actionPerformed(ActionEvent e) {
-        if (e.getSource() == ok) {
+	if (e.getSource() == ok) {
 	DateTimeDialog.this.dateTimeDialogClose(true);
-        }
-        else
+	}
+	else
 	if (e.getSource() == cancel) {
-    	  DateTimeDialog.this.dateTimeDialogClose(false);
+	  DateTimeDialog.this.dateTimeDialogClose(false);
 	}
 	else
 	  if (e.getSource() == now) {
@@ -489,18 +487,18 @@
 		DateTimeDialog.this.setMidnight();
 	    }
 	    else
-               if (e.getSource() == help) {
-		if (hd != null)
-		  hd.show();
+		if (e.getSource() == help) {
+		    if (hd != null)
+			hd.setVisible(true);
 		else {
-		  hd = new
+		    hd = new
 		    HelpDialog(DateTimeDialog.this.parent,
 			getString("Help for Date and Time Dialog"), false);
-		  hd.setVisible(true);
-		  hd.setText(getString(hrb, "DateTimeDialogHelp"));
-		   }
-	        }
-        } // actionPerformed
+		    hd.setVisible(true);
+		    hd.setText(getString(hrb, "DateTimeDialogHelp"));
+		}
+	    }
+	} // actionPerformed
     }
 
     /**
@@ -511,10 +509,10 @@
      */
     private class DCFocusListener extends FocusAdapter {
 
-        public void focusLost(FocusEvent e) {
+	public void focusLost(FocusEvent e) {
 	if (!checkErrorAndSet((DCTextField)e.getSource()))
 	  ((DCTextField)e.getSource()).requestFocus();
-        }
+	}
     }
 
     /**
@@ -523,13 +521,13 @@
      * default format, but to MEDIUM length formatting style.
      */
     public String toString() {
-        calendar = new GregorianCalendar(year.getValue(),
-				       month.getSelectedIndex(),
-				       date.getValue(),
-				       hour.getValue(),
-				       minute.getValue(),
-				       second.getValue());
-        return df.format(calendar.getTime());
+	calendar = new GregorianCalendar(year.getValue(),
+					month.getSelectedIndex(),
+					date.getValue(),
+					hour.getValue(),
+					minute.getValue(),
+					second.getValue());
+	return df.format(calendar.getTime());
     }
 
     /**
@@ -548,17 +546,19 @@
     } catch (MissingResourceException e) {
 	System.out.println("Missing resource "+key+", using English.");
 	return key;
-        }
+	}
     }
 
+    /* BEGIN JSTYLED */
     /*
     public static final void main(String args[]) {
     Frame f = new Frame();
-    //  while (true){
-        DateTimeDialog d = new DateTimeDialog(f, Color.white, Color.black);
-        d.setVisible(true);
-        System.out.println(d.toString());
+    //	while (true){
+	DateTimeDialog d = new DateTimeDialog(f, Color.white, Color.black);
+	d.setVisible(true);
+	System.out.println(d.toString());
       //    }
     }
     */
+    /* END JSTYLED */
 }
--- old/usr/src/cmd/krb5/kadmin/gui/dchanger/DurationHelper.java	Mon Apr 13 11:10:50 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/dchanger/DurationHelper.java	Mon Apr 13 11:10:50 2015
@@ -20,8 +20,6 @@
  * CDDL HEADER END
  */
 /*
- * ident	"%Z%%M%	%I%	%E% SMI"
- *
  * Copyright (c) 1999-2000 by Sun Microsystems, Inc.
  * All rights reserved.
  */
@@ -51,33 +49,33 @@
 	private Button help;
 	private Button compute;
 
-        private HelpDialog hd = null;
+	private HelpDialog hd = null;
 
 	// For I18N
 	    private static ResourceBundle rb =
 	    ResourceBundle.getBundle("GuiResource" /* NOI18N */);
-            private static ResourceBundle hrb =
+	    private static ResourceBundle hrb =
 	    ResourceBundle.getBundle("HelpData" /* NOI18N */);
 
 	private static String[] units = { getString("Seconds"),
-	            			getString("Minutes"),
-		    			getString("Hours"),
-		    			getString("Days"),
-		    			getString("Weeks"),
-		    			getString("Months"),
-		    			getString("Years")	};
+					getString("Minutes"),
+					getString("Hours"),
+					getString("Days"),
+					getString("Weeks"),
+					getString("Months"),
+					getString("Years")	};
 	private static int[] unitMultipliers = {1, 60, 60*60, 60*60*24,
-                                                60*60*24*7, 60*60*24*30,
-                                                60*60*24*365	};
-        private static NumberFormat nf = NumberFormat.getInstance();
+						60*60*24*7, 60*60*24*30,
+						60*60*24*365	};
+	private static NumberFormat nf = NumberFormat.getInstance();
 	private static Toolkit toolkit = Toolkit.getDefaultToolkit();
 
-        /**
-         * Constructor for DurationHelper.
-         * @param parent the parent Frame to whom input will be blocked
-         * while this dialog box is begin shown(modal behaviour).
-         */
-    public DurationHelper(Frame parent,  Color background, Color foreground) {
+	/**
+	 * Constructor for DurationHelper.
+	 * @param parent the parent Frame to whom input will be blocked
+	 * while this dialog box is begin shown(modal behaviour).
+	 */
+    public DurationHelper(Frame parent,	 Color background, Color foreground) {
 		super(parent, getString("SEAM Duration Helper"), true);
 
 		this.parent = parent;
@@ -95,7 +93,7 @@
      * Adds all the labels.
      */
     private void addLabels() {
-        GridBagConstraints gbc = new GridBagConstraints();
+	GridBagConstraints gbc = new GridBagConstraints();
 	gbc.weightx = gbc.weighty = 1;
 	add(new Label(getString("Unit")), gbc);
 	add(new Label(getString("Value")), gbc);
@@ -109,7 +107,7 @@
      * Initializes the strings for the units.
      */
     private void initUnits() {
-        unit = new Choice();
+	unit = new Choice();
 	for (int i = 0; i < units.length; i++)
 	    unit.add(units[i]);
 	unit.select(getString("Hours"));
@@ -124,7 +122,7 @@
      * Adds all the fields
      */
     private void addFields(Color background, Color foreground) {
-        GridBagConstraints gbc = new GridBagConstraints();
+	GridBagConstraints gbc = new GridBagConstraints();
 	gbc.weightx =  gbc.weighty = 1;
 	initUnits();
 	value = new TextField();
@@ -132,9 +130,9 @@
 	value.setForeground(foreground);
 	value.setColumns(10);
 
-        // TBD: make total large enough to hold the largest int
-        total = new Label("             " /* NO18N */,
-                            Label.RIGHT);
+	// TBD: make total large enough to hold the largest int
+	total = new Label("		" /* NO18N */,
+			    Label.RIGHT);
 	gbc.gridx = 0;
 	gbc.gridy = 1;
 	add(unit, gbc);
@@ -155,7 +153,7 @@
      */
     private void addButtons() {
 
-        GridBagConstraints gbc = new GridBagConstraints();
+	GridBagConstraints gbc = new GridBagConstraints();
 	gbc.weightx =  gbc.weighty = 1;
 
 	gbc.gridwidth = GridBagConstraints.REMAINDER;
@@ -172,7 +170,7 @@
 	cancel =  new Button(getString("Cancel"));
 	help = new Button(getString("Help"));
 	gbc = new GridBagConstraints();
-        gbc.weightx =  gbc.weighty = 1;
+	gbc.weightx =  gbc.weighty = 1;
 	p.add(ok, gbc);
 	p.add(cancel, gbc);
 	p.add(help, gbc);
@@ -202,18 +200,18 @@
      * field is not parseable, true otherwise.
      */
     private boolean checkErrorAndSetTotal() {
-        try {
-            String noSpaces = value.getText().trim();
+	try {
+	    String noSpaces = value.getText().trim();
 	    value.setText(noSpaces);
 	    Long l = Long.valueOf(noSpaces);
 	    total.setText(nf.format(l.longValue() *
-                unitMultipliers[unit.getSelectedIndex()]));
-        } catch (NumberFormatException e) {
-          value.requestFocus();
-          value.selectAll();
-          toolkit.beep();
+		unitMultipliers[unit.getSelectedIndex()]));
+	} catch (NumberFormatException e) {
+	  value.requestFocus();
+	  value.selectAll();
+	  toolkit.beep();
 	  return false;
-        }
+	}
 
 	return true;
     }
@@ -224,10 +222,10 @@
      * the dialog box, false if it is to be discarded. This is decided
      * based on whether the user clicked on the "Ok" button or the
      * "Cancel" button. Choosing the window close menu is equivalent to
-     *  clicking on "Cancel."
+     *	clicking on "Cancel."
      */
     private void durationHelperClose(boolean save) {
-        if (save == true) {
+	if (save == true) {
 	    if (!checkErrorAndSetTotal())
 		return;
 	}
@@ -239,7 +237,7 @@
      * Determine whether or not the user wanted to save the value in
      * this Dialog box. The user indicates this by clicking on the Ok
      * button to save it and on the Cancel button to discard it. Using the
-     * window close menu responds the same way as cancel. 
+     * window close menu responds the same way as cancel.
      * @return true if the user wanted to use this value,
      * false if it is to be discarded.
      */
@@ -256,7 +254,7 @@
     }
 
     // * **********************************************
-    // 	 I N N E R    C L A S S E S   F O L L O W
+    //	 I N N E R    C L A S S E S   F O L L O W
     // * **********************************************
 
     /**
@@ -264,7 +262,7 @@
      * menu.
      */
     private class DHWindowListener extends WindowAdapter {
-	public  void windowClosing(WindowEvent e) {
+	public	void windowClosing(WindowEvent e) {
 		durationHelperClose(false);
 	}
     }
@@ -275,25 +273,25 @@
      * of reducing the number of overall listeners.
      */
     private class ButtonListener implements ActionListener {
-        public void actionPerformed(ActionEvent e) {
-            if (e.getSource() == ok) {
-                DurationHelper.this.durationHelperClose(true);
+	public void actionPerformed(ActionEvent e) {
+	    if (e.getSource() == ok) {
+		DurationHelper.this.durationHelperClose(true);
 	    } else if (e.getSource() == cancel) {
-                DurationHelper.this.durationHelperClose(false);
+		DurationHelper.this.durationHelperClose(false);
 	    } else if (e.getSource() == help) {
-                if (hd != null)
-                    hd.show();
-                else {
-                    hd = new HelpDialog(DurationHelper. this.parent,
-                        getString("Help for entering time duration"),
-                                    false, 5, 45);
-                    hd.setVisible(true);
-                    hd.setText(getString(hrb, "DurationHelperHelp"));
-                }
-            } else if (e.getSource() == compute) {
-                checkErrorAndSetTotal();
-            }
-        }
+		if (hd != null)
+		    hd.setVisible(true);
+		else {
+		    hd = new HelpDialog(DurationHelper. this.parent,
+			getString("Help for entering time duration"),
+				    false, 5, 45);
+		    hd.setVisible(true);
+		    hd.setText(getString(hrb, "DurationHelperHelp"));
+		}
+	    } else if (e.getSource() == compute) {
+		checkErrorAndSetTotal();
+	    }
+	}
     }
 
     /**
@@ -307,9 +305,9 @@
     }
 
     private static final String getString(ResourceBundle rb, String key) {
-        try {
+	try {
 	    String res = rb.getString(key);
-            return res;
+	    return res;
 	} catch (MissingResourceException e) {
 		System.out.println("Missing resource "+key+", using English.");
 		return key;
@@ -319,13 +317,15 @@
     /*
      * A main method to test this class.
      */
+    /* BEGIN JSTYLED */
     /*
     public static void main(String args[]) {
-        Frame f = new Frame("Test DurationHelper");
-        f.setVisible(true); // for help dialog to use this as parent
-        DurationHelper dh = new DurationHelper(f, Color.white, Color.black);
-        dh.setVisible(true);
-        System.out.println("Save is " + dh.save);
+	Frame f = new Frame("Test DurationHelper");
+	f.setVisible(true); // for help dialog to use this as parent
+	DurationHelper dh = new DurationHelper(f, Color.white, Color.black);
+	dh.setVisible(true);
+	System.out.println("Save is " + dh.save);
     }
 	  */
+    /* END JSTYLED */
 }
--- old/usr/src/cmd/krb5/kadmin/gui/dchanger/EncListDialog.java	Mon Apr 13 11:10:50 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/dchanger/EncListDialog.java	Mon Apr 13 11:10:50 2015
@@ -1,8 +1,6 @@
 /*
  * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
- *
- * ident	"%Z%%M%	%I%	%E% SMI"
  */
 
 import java.awt.*;
@@ -49,13 +47,13 @@
 
 	// For I18N
 	private static ResourceBundle rb =
-	    ResourceBundle.getBundle("GuiResource" /* NOI18N */); 
+	    ResourceBundle.getBundle("GuiResource" /* NOI18N */);
 	private static ResourceBundle hrb =
-	    ResourceBundle.getBundle("HelpData" /* NOI18N */); 
+	    ResourceBundle.getBundle("HelpData" /* NOI18N */);
 
 	/*
 	 * Constructor that lays out the components and sets the different
-	 * event handlers. 
+	 * event handlers.
 	 */
 	public EncListDialog(Frame parent, Color background, Color foreground,
 	    Kadmin session) {
@@ -154,7 +152,7 @@
 	 * Closes (hides) the dialog box when the user is done
 	 * @param save true if the box is being dismissed by clicking on
 	 * "ok" and the user wants to retain the modified value, false
-	 * otherwise. 
+	 * otherwise.
 	 */
 	private void encListDialogClose(boolean save) {
 		this.save = save;
@@ -195,7 +193,7 @@
 	}
 
 	// ***********************************************
-	// 	 I N N E R    C L A S S E S   F O L L O W
+	//	 I N N E R    C L A S S E S   F O L L O W
 	// ***********************************************
 
 	/*
@@ -256,16 +254,16 @@
 				}
 			} else if (e.getSource() == help) {
 				if (hd != null)
-					hd.show();
+					hd.setVisible(true);
 				else {
 					hd = new HelpDialog(
 					    EncListDialog.this.parent,
-				   	    getString(
+					    getString(
 					    "Help for Encryption Type Dialog"),
-				   	    false);
+					    false);
 					hd.setVisible(true);
 					hd.setText(getString(hrb,
-					     "EncryptionTypeDialogHelp"));
+					    "EncryptionTypeDialogHelp"));
 				}
 			}
 		} // actionPerformed
--- old/usr/src/cmd/krb5/kadmin/gui/dchanger/Makefile	Mon Apr 13 11:10:50 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/dchanger/Makefile	Mon Apr 13 11:10:50 2015
@@ -22,12 +22,10 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
 
 include ../../../../../Makefile.master
 include ../../../../Makefile.cmd
 
-JAVAFLAGS= -nowarn -O
 
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 
--- old/usr/src/cmd/krb5/kadmin/gui/native/Makefile	Mon Apr 13 11:10:50 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/native/Makefile	Mon Apr 13 11:10:50 2015
@@ -23,8 +23,6 @@
 # Copyright (c) 1999-2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 # usr/src/cmd/krb5/kadmin/gui/native/Makefile
 #
 
@@ -38,7 +36,6 @@
 install :=	TARGET= install
 lint :=		TARGET= lint
 
-JAVAFLAGS= -nowarn -O
 
 CLASSES=Kadmin
 
--- old/usr/src/cmd/krb5/kadmin/gui/util/Makefile	Mon Apr 13 11:10:50 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/util/Makefile	Mon Apr 13 11:10:50 2015
@@ -23,13 +23,10 @@
 # Copyright (c) 1999-2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 include ../../../../../Makefile.master
 include ../../../../Makefile.cmd
 
-JAVAFLAGS= -nowarn -O
 
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 
--- old/usr/src/cmd/krb5/kadmin/gui/visualrt/Makefile	Mon Apr 13 11:10:51 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/visualrt/Makefile	Mon Apr 13 11:10:51 2015
@@ -23,8 +23,6 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 include $(SRC)/Makefile.master
 
@@ -38,7 +36,6 @@
 
 .KEEP_STATE:
 
-JAVAFLAGS= -nowarn -O
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 CLASSPATH=$(GUIDIR)/visualrt:$(JAVA_ROOT)/jre/lib/rt.jar:$(JAVA_ROOT)/jre/lib/i18n.jar
 
--- old/usr/src/cmd/krb5/kadmin/gui/visualrt/sunsoft/jws/visual/rt/Makefile	Mon Apr 13 11:10:51 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/visualrt/sunsoft/jws/visual/rt/Makefile	Mon Apr 13 11:10:51 2015
@@ -23,11 +23,9 @@
 # Copyright (c) 1999-2000 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 include $(SRC)/Makefile.master
-JAVAFLAGS= -nowarn -O
+JAVAFLAGS = -source 1.5 -target 1.6 -nowarn -O
 GUIDIR=$(SRC)/cmd/krb5/kadmin/gui
 
 def             :=      TARGET= def
--- old/usr/src/cmd/krb5/kadmin/gui/visualrt/sunsoft/jws/visual/rt/Makefile.com	Mon Apr 13 11:10:51 2015
+++ new/usr/src/cmd/krb5/kadmin/gui/visualrt/sunsoft/jws/visual/rt/Makefile.com	Mon Apr 13 11:10:51 2015
@@ -23,10 +23,8 @@
 # Copyright (c) 1999-2000 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
 
-JAVAFLAGS= -nowarn -O
+JAVAFLAGS = -source 1.5 -target 1.6 -nowarn -O
 JRE=$(JAVA_ROOT)/jre/lib
 VRT=$(SRC)/cmd/krb5/kadmin/gui/visualrt
 
--- old/usr/src/cmd/pools/poold/com/sun/solaris/domain/pools/Makefile	Mon Apr 13 11:10:51 2015
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/domain/pools/Makefile	Mon Apr 13 11:10:51 2015
@@ -27,7 +27,6 @@
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-target 5
 
 SOURCE =	Move.java \
 		Expression.java \
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/exception/Makefile	Mon Apr 13 11:10:51 2015
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/exception/Makefile	Mon Apr 13 11:10:51 2015
@@ -23,14 +23,11 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cmd/pools/poold/com/sun/solaris/service/exception/Makefile
 
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 SOURCE =	SuccinctStackTraceFormatter.java
 
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/kstat/Makefile	Mon Apr 13 11:10:51 2015
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/kstat/Makefile	Mon Apr 13 11:10:51 2015
@@ -23,14 +23,11 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cmd/pools/poold/com/sun/solaris/service/kstat/Makefile
 
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 SOURCE =	Kstat.java \
 		KstatChainUpdateException.java \
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/locality/Makefile	Mon Apr 13 11:10:51 2015
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/locality/Makefile	Mon Apr 13 11:10:51 2015
@@ -23,14 +23,11 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cmd/pools/poold/com/sun/solaris/service/locality/Makefile
 
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 SOURCE =	LocalityDomain.java \
 		LocalityGroup.java
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/logging/Makefile	Mon Apr 13 11:10:51 2015
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/logging/Makefile	Mon Apr 13 11:10:51 2015
@@ -23,14 +23,11 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cmd/pools/poold/com/sun/solaris/service/logging/Makefile
 
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 SOURCE =	Facility.java \
 		Severity.java \
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/pools/Makefile	Mon Apr 13 11:10:52 2015
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/pools/Makefile	Mon Apr 13 11:10:52 2015
@@ -23,14 +23,11 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cmd/pools/poold/com/sun/solaris/service/pools/Makefile
 
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 		
 SOURCE =	PoolInternal.java \
--- old/usr/src/cmd/pools/poold/com/sun/solaris/service/timer/Makefile	Mon Apr 13 11:10:52 2015
+++ new/usr/src/cmd/pools/poold/com/sun/solaris/service/timer/Makefile	Mon Apr 13 11:10:52 2015
@@ -23,14 +23,11 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cmd/pools/poold/com/sun/solaris/service/logging/Makefile
 
 include $(SRC)/cmd/Makefile.cmd
 
 CLASSPATH =	$(SRC)/cmd/pools/poold
-JAVAFLAGS +=	-source 1.4
 
 SOURCE =	RecurringEventTimer.java \
 		SimpleRecurringEventTimer.java
--- old/usr/src/lib/libdtrace_jni/java/Makefile	Mon Apr 13 11:10:52 2015
+++ new/usr/src/lib/libdtrace_jni/java/Makefile	Mon Apr 13 11:10:52 2015
@@ -76,9 +76,9 @@
 APICLASSPATH=$(CLASSES):$(APIJAVASRC)
 
 # javac flags
-JFLAGS= -g -d $(CLASSES) -sourcepath $(APICLASSPATH) -deprecation
-JFLAGS += -target 1.5
-JFLAGS += -Xlint
+JFLAGS= -g -d $(CLASSES) -sourcepath $(APICLASSPATH)
+JFLAGS += -source 1.5 -target 1.6
+JFLAGS += -Xlint:all,-rawtypes,-options
 
 # The default make rule for Java files
 COMPILE.java=$(JAVAC) $(JFLAGS)
@@ -88,7 +88,7 @@
 
 # javah generated headers
 APIHDR= LocalConsumer.h
-JNIHDRS=$(JNI)/$(APIHDRS)
+JNIHDRS=$(JNI)/$(APIHDR)
 
 # API classes with native methods
 JNI_CLASSNAMES=\
--- old/usr/src/lib/libdtrace_jni/java/src/org/opensolaris/os/dtrace/LocalConsumer.java	Mon Apr 13 11:10:52 2015
+++ new/usr/src/lib/libdtrace_jni/java/src/org/opensolaris/os/dtrace/LocalConsumer.java	Mon Apr 13 11:10:52 2015
@@ -22,8 +22,6 @@
 /*
  * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
- *
- * ident	"%Z%%M%	%I%	%E% SMI"
  */
 package org.opensolaris.os.dtrace;
 
@@ -637,7 +635,7 @@
 		// that listeners finish executing consumerStopped()
 		// before the stop() method returns.
 		synchronized (this) {
-		    if (state == State.STOPPED || state == state.CLOSED) {
+		    if (state == State.STOPPED || state == State.CLOSED) {
 			//
 			// This consumer was stopped just after calling
 			// go() but before starting (the premature return
--- old/usr/src/lib/libslp/javalib/Makefile.conf	Mon Apr 13 11:10:52 2015
+++ new/usr/src/lib/libslp/javalib/Makefile.conf	Mon Apr 13 11:10:52 2015
@@ -55,7 +55,8 @@
 SLPCLASSPATH=$(CLASSES):$(SLPJAVASRC)
 
 # javac flags
-JFLAGS= -O -d $(CLASSES) -sourcepath $(SLPCLASSPATH) -deprecation
+JFLAGS= -O -d $(CLASSES) -sourcepath $(SLPCLASSPATH)
+JFLAGS += -source 1.6 -target 1.6 -Xlint:deprecation,-options
 
 # The default make rule for Java files
 COMPILE.java=$(JAVAC) $(JFLAGS)
--- old/usr/src/man/man5/filesystem.5	Mon Apr 13 11:10:52 2015
+++ new/usr/src/man/man5/filesystem.5	Mon Apr 13 11:10:52 2015
@@ -2240,16 +2240,6 @@
 .sp
 .ne 2
 .na
-\fB\fB/usr/j2se\fR\fR
-.ad
-.sp .6
-.RS 4n
-Java 2 SDK executables, loadable modules, and documentation.
-.RE
-
-.sp
-.ne 2
-.na
 \fB\fB/usr/java\fI*\fR\fR\fR
 .ad
 .sp .6
--- old/usr/src/pkg/manifests/SUNWcs.mf	Mon Apr 13 11:10:53 2015
+++ new/usr/src/pkg/manifests/SUNWcs.mf	Mon Apr 13 11:10:53 2015
@@ -274,9 +274,6 @@
 dir path=var/opt group=sys
 dir path=var/preserve mode=1777
 dir path=var/run group=sys
-dir path=var/sadm group=sys
-dir path=var/sadm/system group=sys
-dir path=var/sadm/system/admin group=sys
 dir path=var/saf
 dir path=var/saf/zsmon group=sys
 dir path=var/spool
@@ -1467,7 +1464,6 @@
 file path=var/adm/wtmpx group=adm owner=adm preserve=true
 file path=var/log/authlog group=sys mode=0600 preserve=true
 file path=var/log/syslog group=sys preserve=true
-file path=var/sadm/system/admin/default_java group=sys mode=0444
 file path=var/saf/zsmon/log group=sys preserve=true
 file path=var/spool/cron/crontabs/adm group=sys mode=0600 preserve=true
 file path=var/spool/cron/crontabs/root group=sys mode=0600 preserve=true
--- old/usr/src/pkg/manifests/developer-dtrace.mf	Mon Apr 13 11:10:53 2015
+++ new/usr/src/pkg/manifests/developer-dtrace.mf	Mon Apr 13 11:10:53 2015
@@ -624,8 +624,13 @@
     group=other
 file path=usr/share/lib/java/javadoc/dtrace/api/overview-tree.html group=other
 file path=usr/share/lib/java/javadoc/dtrace/api/package-list group=other
-file path=usr/share/lib/java/javadoc/dtrace/api/resources/inherit.gif \
+file path=usr/share/lib/java/javadoc/dtrace/api/resources/background.gif \
     group=other
+file path=usr/share/lib/java/javadoc/dtrace/api/resources/tab.gif group=other
+file path=usr/share/lib/java/javadoc/dtrace/api/resources/titlebar.gif \
+    group=other
+file path=usr/share/lib/java/javadoc/dtrace/api/resources/titlebar_end.gif \
+    group=other
 file path=usr/share/lib/java/javadoc/dtrace/api/serialized-form.html \
     group=other
 file path=usr/share/lib/java/javadoc/dtrace/api/stylesheet.css group=other
--- old/usr/src/pkg/manifests/service-network-dns-mdns.mf	Mon Apr 13 11:10:53 2015
+++ new/usr/src/pkg/manifests/service-network-dns-mdns.mf	Mon Apr 13 11:10:53 2015
@@ -132,8 +132,13 @@
 file path=usr/share/lib/java/javadoc/dnssd/api/index.html group=other
 file path=usr/share/lib/java/javadoc/dnssd/api/overview-tree.html group=other
 file path=usr/share/lib/java/javadoc/dnssd/api/package-list group=other
-file path=usr/share/lib/java/javadoc/dnssd/api/resources/inherit.gif \
+file path=usr/share/lib/java/javadoc/dnssd/api/resources/background.gif \
     group=other
+file path=usr/share/lib/java/javadoc/dnssd/api/resources/tab.gif group=other
+file path=usr/share/lib/java/javadoc/dnssd/api/resources/titlebar.gif \
+    group=other
+file path=usr/share/lib/java/javadoc/dnssd/api/resources/titlebar_end.gif \
+    group=other
 file path=usr/share/lib/java/javadoc/dnssd/api/serialized-form.html \
     group=other
 file path=usr/share/lib/java/javadoc/dnssd/api/stylesheet.css group=other
